Ubuntu

pulseaudio uses too much CPU

Reported by Guillaume Desmottes on 2008-03-26
188
This bug affects 31 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Low
Unassigned
Nominated for Jaunty by Denis Rut'kov

Bug Description

Binary package hint: pulseaudio

Pulseaudio uses between 6 and 8% of my CPU (AMD Athlon(tm) 64 Processor 3500+) when I'm just listening music using Rhythmbox. Seems too much IMHO.

Confirmed here too

Xavier Claessens (zdra) wrote :

pulseaudio is always between 3 and 6% of my CPU (intel core2duo) when I'm playing a mp3/ogg in rhythmbox.

Luke Yelavich (themuso) wrote :

Could you both try adding yourselves to the pulse-rt group, and see if that makes a difference?

Guillaume Desmottes (cassidy) wrote :

No, doesn't seem to improve.

Hi!
Same concerns here. I just switched to hardy, and my system is very sluggish now.

my results from 'top':
 7652 user 20 0 32940 3372 2728 S 2.0 0.4 17:24.63 pulseaudio
 7224 root 20 0 417m 20m 6420 S 1.7 2.7 14:02.25 Xorg

when my computer is idle.

Does the last number say that pulseaudio actually consumes more average computing power than Xorg?

Guillaume Desmottes (cassidy) wrote :

Pulseaudio consumes only 0.5% if my cpu is running at 2.2Ghz, so I guess that's a reasonable cpu usage.

chrispyx (chrispyx) wrote :

Hi,

here on "hardy" beta, pulseaudio uses 5% while the system is idle. When I kill it, gnome-power-manager goes to 100% cpu usage! maybe this is a hint on who is causing the trouble? ...

After restarting both pulseaudio and gnome-power-manager, I found that both are idle as they should. But when I unplug the power cable from my notebook, gnome-power-manager seems to play some audio. After that, the CPU usage goes up for pulseaudio.

I hope this helps finding the problem.

Christoph.

Arthur (moz-liebesgedichte) wrote :

After executing
sudo /usr/bin/cpufreq-selector -g performance
(so top isn't confused by lowered CPU frequency) I see pulseaudio using approximately 1% CPU when playing music which seems a bit much but not that troublesome. To get your CPU back to use less energy, execute
sudo /usr/bin/cpufreq-selector -g ondemand

Arthur (moz-liebesgedichte) wrote :

sudo /usr/bin/cpufreq-selector -c 0 -g performance
sudo /usr/bin/cpufreq-selector -c 1 -g performance
for a dual core (I've just got bitten by this myself).

Christoph Langner (chrissss) wrote :

I can confirm this too. Pulseaudio uses 10% of my cpu. I'm using a Pentium-M with 1,6Ghz here. Currently it's running with 600Mhz. First i play music via rhythmbox via pulseaudio

$ top
...
PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
 6304 user 20 0 30564 6276 3772 S 10.6 0.6 37:18.96 pulseaudio
 5817 root 20 0 254m 57m 11m S 5.3 5.7 32:50.67 Xorg
 29974 user 20 0 159m 40m 21m S 3.6 4.1 0:08.76 rhythmbox
 6283 user 20 0 13596 4716 3764 S 1.3 0.5 4:28.70 at-spi-registry
 29167 user 20 0 85560 21m 12m S 1.3 2.1 0:02.76 gnome-terminal
 ...

and now without pulseaudio

$ top
...
 PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
 5817 root 20 0 247m 50m 11m S 7.0 5.0 32:43.90 Xorg
 29974 user 20 0 157m 40m 21m S 2.7 4.0 0:05.47 rhythmbox
 6283 user 20 0 13596 4716 3764 S 1.3 0.5 4:27.37 at-spi-registry
 29167 user 20 0 85496 21m 12m S 1.3 2.1 0:02.48 gnome-terminal
 6349 user 20 0 16948 5928 4628 S 0.7 0.6 1:04.29 gnome-screensav
 6352 user 20 0 123m 46m 21m S 0.7 4.6 4:49.12 gnome-panel
 ...

Changed in pulseaudio:
status: New → Confirmed
Marques Johansson (marques) wrote :

I'm also in the pulse-rt group, and have disabled all the multicast and discovery options on my running pulseaudio. When in use, pulseaudio (and in this case last-exit, or last.fm) trade places taking up between 2 and 15% each on my 3ghz P4-HT system. I don't have either cpufrequency or powernowd support enabled (not supported).

pulseaudio is also taking a fairly large chunk of memory.

  PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
 1527 mjohanss 9 -11 57744 7580 4416 S 12 0.2 39:14.48 pulseaudio

I've also experienced this level of usage while padevchooser and gnome-volume-manager were disabled (not running). I don't have any open flash applications, and from padevchooser (before closing it) I confirmed that last-exit was the only application with a Play stream.

Also have this problem. I just upgraded to intrepid and it has not improved. For the record, about 9% usage on halfspeed on a turion tl52 1.6GHz

As a bonus when choosing alsa instead of pulseaudio in audio settings flash breaks, possibly more. Used to work great, in kubuntu at least.

<rant>I don't really know what pulseaudio is supposed to fix, it's nothing but trouble, please make it go away</rant>

Adestro (andreas-bergstrom) wrote :

I'm on 8.10 Intrepid and while idling with only bash and firefox at 1.5GHz pulseaudio uses 0.7% - 1.3%, though no sound whatsoever is played. Is this normal behavior? As soon as I closes Firefox pulseaudio goes into sleep-mode with 0% CPU-usage.

Alkis Georgopoulos (alkisg) wrote :

Playing a video on a 600 MHz thin client:
pulseaudio - 63% CPU

Pulseaudio is useful, it makes streaming sound through network possible, and my LTSP clients are slow, but 63% CPU?
Xorg needed much less than that to display the video...
Hardy 8.10

kilroy (channelsconf) wrote :

Playing a stream, pulseaudio is using ~60% CPU...

top - 22:37:26 up 16:13, 11 users, load average: 1.64, 3.43, 2.41
Tasks: 173 total, 1 running, 172 sleeping, 0 stopped, 0 zombie
Cpu0 : 21.7%us, 42.4%sy, 0.0%ni, 34.9%id, 0.0%wa, 0.3%hi, 0.7%si, 0.0%st
Cpu1 : 21.2%us, 8.2%sy, 0.0%ni, 70.6%id, 0.0%wa, 0.0%hi, 0.0%si, 0.0%st
Mem: 3111084k total, 2308564k used, 802520k free, 220472k buffers
Swap: 4891720k total, 0k used, 4891720k free, 1320480k cached

  PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
20650 $user 9 -11 32540 5752 4264 S 60 0.2 2:40.08 pulseaudio
23378 $user 20 0 213m 37m 16m S 29 1.2 1:15.20 vlc
19401 root 20 0 351m 72m 14m S 6 2.4 73:04.58 Xorg

processor : 0|1
vendor_id : AuthenticAMD
cpu family : 15
model : 107
model name : AMD Athlon(tm) 64 X2 Dual Core Processor 5200+

01:09.0 Multimedia audio controller: Creative Labs SB Audigy (rev 04)
        Subsystem: Creative Labs Device 2002
        Flags: bus master, medium devsel, latency 32, IRQ 19
        I/O ports at 9800 [size=64]
        Capabilities: <access denied>
        Kernel driver in use: EMU10K1_Audigy
        Kernel modules: snd-emu10k1

01:09.1 Input device controller: Creative Labs SB Audigy Game Port (rev 04)
        Subsystem: Creative Labs Device 0040
        Flags: bus master, medium devsel, latency 32
        I/O ports at 9c00 [size=8]
        Capabilities: <access denied>
        Kernel driver in use: Emu10k1_gameport
        Kernel modules: emu10k1-gp

uid=1000($user) gid=1000($user) Gruppen=4(adm),7(lp),20(dialout),21(fax),24(cdrom),25(floppy),29(audio),44(video),46(plugdev),104(scanner),108(lpadmin),115(pulse),116(pulse-access),117(pulse-rt),123(admin),124(sambashare),125(vboxusers),242(vdr),1000($user)

cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=8.10
DISTRIB_CODENAME=intrepid
DISTRIB_DESCRIPTION="Ubuntu 8.10"

uname -a
Linux kilroy 2.6.27-7-generic #1 SMP Tue Nov 4 19:33:20 UTC 2008 i686 GNU/Linux

additional pulseaudio often termintes with:
Soft CPU time limit exhausted, terminating.

concerning sound intrepid (32 and 64bit) is a great step backwards

I've never had so much problems with sound - started with 5.xx and otjer distributions before :(

Thibouf (thibouf) wrote :

I have the same problem with my AMD Athlon(tm) 64 Processor 3500+ under Intrepid Ibex 32Bits.
When playing music with rhythmbox , there is at least 10% of the processor used, I do not think it is really necessary for a simple MP3.

PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
10732 thibouf 24 4 398m 67m 22m S 8.2 3.3 6:34.35 rhythmbox
 5937 thibouf 24 4 31184 4976 3876 S 7.3 0.2 5:34.39 pulseaudio
14022 thibouf 20 0 40300 25m 13m S 6.0 1.3 0:19.28 python
 5565 root 20 0 270m 114m 24m R 5.2 5.6 26:28.71 Xorg

I am also using the music-applet (the python process above) which take about 8% more of the processor ... I think this is an other bug, but as I am not sure, I prefer to mention it there.

Ivan Brezina (ibrezina) wrote :
Download full text (4.4 KiB)

I have same problem on Ubuntu 8.04. White doing nothing pulseaudio uses 4-15% CPU.

Here is output of strace:
read(14, "\1\0\0\0\0\0\0\0", 8) = 8
sendto(40, "\0\0\0\24\377\377\377\377\0\0\0\0\0\0\0\0\0\0\0\0", 20, MSG_NOSIGNAL, NULL, 0) = 20
gettimeofday({1227119468, 439164}, NULL) = 0
poll([{fd=3, events=POLLIN}, {fd=40, events=POLLIN|POLLOUT, revents=POLLIN|POLLOUT}, {fd=39, events=POLLIN}, {fd=9, events=POLLIN}, {fd=38, events=POLLIN}, {fd=37, events=POLLIN}, {fd=36, events=POLLIN}, {fd=35, events=POLLIN}, {fd=34, events=POLLIN}, {fd=33, events=POLLIN}, {fd=32, events=POLLIN}, {fd=31, events=POLLIN}, {fd=30, events=POLLIN}, {fd=27, events=POLLIN}, {fd=29, events=POLLIN}, {fd=22, events=POLLIN}, {fd=28, events=POLLIN}, {fd=16, events=POLLIN}, {fd=15, events=POLLIN}, {fd=21, events=POLLIN}, {fd=26, events=POLLIN}, {fd=25, events=POLLIN}, {fd=24, events=POLLIN}, {fd=23, events=POLLIN}, {fd=20, events=POLLIN}, {fd=14, events=POLLIN}, {fd=10, events=POLLIN|POLLERR|POLLHUP}, {fd=10, events=0}, {fd=7, events=POLLIN}, {fd=5, events=POLLIN}], 30, 729) = 1
gettimeofday({1227119468, 439266}, NULL) = 0
recvmsg(40, {msg_name(0)=NULL, msg_iov(1)=[{"L\0\0\0\16L\0\0\4pL\0\0\0\0TI$[l\0\5\340\332", 24}], msg_controllen=32, {cmsg_len=28, cmsg_level=SOL_SOCKET, cmsg_type=SCM_CREDENTIALS{pid=7692, uid=1000, gid=1000}}, msg_flags=0}, 0) = 24
write(12, "\1\0\0\0\0\0\0\0", 8) = 8
write(12, "\1\0\0\0\0\0\0\0", 8) = 8
gettimeofday({1227119468, 440393}, NULL) = 0
sendto(40, "L\0\0\0=L\377\377\377\377L\0\0\0\0L\0\0000\0", 20, MSG_NOSIGNAL, NULL, 0) = 20
gettimeofday({1227119468, 440555}, NULL) = 0
poll([{fd=3, events=POLLIN}, {fd=40, events=POLLIN|POLLOUT, revents=POLLIN|POLLOUT}, {fd=39, events=POLLIN}, {fd=9, events=POLLIN}, {fd=38, events=POLLIN}, {fd=37, events=POLLIN}, {fd=36, events=POLLIN}, {fd=35, events=POLLIN}, {fd=34, events=POLLIN}, {fd=33, events=POLLIN}, {fd=32, events=POLLIN}, {fd=31, events=POLLIN}, {fd=30, events=POLLIN}, {fd=27, events=POLLIN}, {fd=29, events=POLLIN}, {fd=22, events=POLLIN}, {fd=28, events=POLLIN}, {fd=16, events=POLLIN}, {fd=15, events=POLLIN}, {fd=21, events=POLLIN}, {fd=26, events=POLLIN}, {fd=25, events=POLLIN}, {fd=24, events=POLLIN}, {fd=23, events=POLLIN}, {fd=20, events=POLLIN}, {fd=14, events=POLLIN, revents=POLLIN}, {fd=10, events=POLLIN|POLLERR|POLLHUP}, {fd=10, events=0}, {fd=7, events=POLLIN}, {fd=5, events=POLLIN}], 30, 728) = 2
gettimeofday({1227119468, 440659}, NULL) = 0
recvmsg(40, {msg_name(0)=NULL, msg_iov(1)=[{"\0\0\0\20\0\0\0\0\0\0\0\0\0\0\0\0\200\0\0\0", 20}], msg_controllen=32, {cmsg_len=28, cmsg_level=SOL_SOCKET, cmsg_type=SCM_CREDENTIALS{pid=7692, uid=1000, gid=1000}}, msg_flags=0}, 0) = 20
sendto(40, "\0\0\0\0\377\377\377\377\0\0\0&\0\0\0\0@\0\0\0", 20, MSG_NOSIGNAL, NULL, 0) = 20
read(14, "\1\0\0\0\0\0\0\0", 8) = 8
gettimeofday({1227119468, 440814}, NULL) = 0
poll([{fd=3, events=POLLIN}, {fd=40, events=POLLIN|POLLOUT, revents=POLLIN|POLLOUT}, {fd=39, events=POLLIN}, {fd=9, events=POLLIN}, {fd=38, events=POLLIN}, {fd=37, events=POLLIN}, {fd=36, events=POLLIN}, {fd=35, events=POLLIN}, {fd=34, events=POLLIN}, {fd=33, events=POLLIN}, {fd=32, events=POLLIN}, {fd=31, events=POLLIN},...

Read more...

Ivan Brezina (ibrezina) wrote :

One more comment. Closing FF fixes the problem. This problem is related to flash-plugin probably.

Max Roder (maxroder) wrote :

Same problem here. My Thinkpad's 1.4 Ghz CPU (mostly running just 0.6 Ghz) is used up to 50 % by pulseaudio when doing nothing (no sound, no other programs used). When I kill pulseaudio and start mplayer, the process is back running again (without me doing anything) and seems to be fine then at about 1-2%.

Daniel T Chen (crimsun) wrote :

The usage depends on a number of factors, the least of which is the resample-method method specified in /etc/pulse/daemon.conf.

Changed in pulseaudio:
importance: Undecided → Low
Alexia Death (alexiade) wrote :

If pulseaudio wastes CPU idle then trying to play audio into an alsa sink thats a bt device makes it consume 100% cpu and strace is full of messages about MSG_NOSIGNAL. It makes my BT headset unusable.

Alexia Death (alexiade) wrote :

Hmm... and latest pulseaudio updates have fixed it :D

engin (engindumlu) wrote :

It's really headache using bt headset with pulseaudio. CPU load gets higher and any gnome ui response slowly
Alexia, you mean pulseaudio 0.9.14 by lastest?
if so, any ppa repo for lastest debs?

Micah (micahyo) wrote :

I noticed ~10% usage, but it turned out to be Skype running in the tray, constantly sampling the audio. Once I killed Skype, the CPU usage dropped to zero.

Ambricka (petter-ambricka) wrote :

Okay, something has happened again... (Running jaunty...)

Playing a mp3 with audacious makes pulseaudio eat ~15% cpu time on my VIA C7@1.8GHz, with stuttering sound.

What version of pulseaudio do you have installed? You can check with "apt-cache policy pulseaudio" in a terminal.

engin (engindumlu) wrote :

output for policy check:

$ apt-cache policy pulseaudio
pulseaudio:
  Installed: 0.9.10-2ubuntu9.3
  Candidate: 0.9.10-2ubuntu9.3
  Version table:
 *** 0.9.10-2ubuntu9.3 0
        500 http://de.archive.ubuntu.com intrepid-updates/main Packages
        100 /var/lib/dpkg/status
     0.9.10-2ubuntu9 0
        500 http://de.archive.ubuntu.com intrepid/main Packages

is there anyone know how to switch the lastest pulse release?

sovnarkom (sovnarkom) wrote :

Hi, serious problem with pulsaudio and skype (latest):

When I use external USB soundcard, and on my dualcore 1.7 intel Skype eat ~ 100% when Pulseaudio ~50% of cpu. Sound goes from me with high latency and often cuts.

When I use ALSA it works properly (eat about 20%).

Linux 2.6.28-8-server #24-Ubuntu SMP Wed Feb 18 19:58:05 UTC 2009 i686 GNU/Linux

Pulse audio:
  Installed: 0.9.14-0ubuntu7
  Candidate: 0.9.14-0ubuntu7
  Version table:
 *** 0.9.14-0ubuntu7 0
        500 http://archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

Daniel T Chen (crimsun) wrote :

sovnarkom, your symptom is slightly different in that it is caused by 'linux'; see bug 330814.

Denis Rut'kov (dendron2000) wrote :

Confirmed here, too. Pulseaudio ate up to 50% of my 2.0 Ghz CPU, making both the video and the audio stutter in mplayer and totem. What's worse, you cannot stop pulseaudio daemon, and killing the process affects playback quality. The only solution is to completely remove pulseaudio from the system. In my opinion, if it's not fixed by the release it's better to disable pulseaudio by default.

If you are getting high CPU usage from pulse, change the resample method in /etc/pulse/daemon.conf to a less CPU intensive algorithm:

resample-method = src-sinc-fastest

See if this works for you. My CPU dropped from 2-5% CPU to pretty much below the background noise.

Perhaps there needs to be a less "high end" default?

Cheers, J

Luke Yelavich (themuso) wrote :

While that likely does lower CPU usage, I also believe it lowers the audio quality. A lot of work has gone into choosing the best default by various community members, with the one chosen found to be the best compromise.

Maybe resample-method should be configurable through the sound settings applet?

It's a huge waste to choose anything but the fastest algo when using pc speakers which I think is quite common. When using good headphones or a mid- to highend hifi you'd want to choose a good algo over a fast one obviously.

When playing a given audio track through mplayer it consumes half the cpu compared to rhythmbox. Interestingly also the pulse process consumes half the cpu when using mplayer.

I did some crude measurements with top and a few different values for resample-method. For these values I used "mplayer -ao pulse" from a tty without X running.
src-sinc-best-quality (overkill, I know) uses between 70-100% and sound stutters with gaps of silence.
src-sinc-medium-quality almost as much stutter as above, after a minute of playing it is almost enjoyable. 30% cpu.
src-sinc-fastest uses about 8% cpu.
ffmpeg/trivial/src-linear all use about 2-3%.

Carnivora (rnraab) wrote :

src-sinc-fastest fixes problem. Went from 8-11% to 4-8% which is perfect and it sounds better. I hope src-sinc-fastest becomes default. Also resample-method config in the sound settings applet sounds good. You could make it a slider that goes from performance to quality. To make it easy for non-geeks. If someone is having perfermance or quality problems they can just slide it the way that'll solve the problem.

Carnivora (rnraab) wrote :

src-linear 4% sweet

Daniel T Chen (crimsun) on 2009-03-07
Changed in pulseaudio:
status: Confirmed → Fix Committed
Denis Rut'kov (dendron2000) wrote :

This bug is marked as 'fixed', but I still don't get it.

What does pulseaudio offer in trade for additional CPU usage? Is it really necessary, so it is installed "out of the box"?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 0.9.14-0ubuntu11

---------------
pulseaudio (0.9.14-0ubuntu11) jaunty; urgency=low

  [ Daniel T Chen ]
  * Reenable 0030_set_tsched0.patch, which re-disables glitch-free;
    too many users are reporting regressions and audio aberrations.
  * Adjust 0003_change_resample_and_buffering.patch to use linear
    resampler to work better with lack of PREEMPT in jaunty's
    -generic kernel config (LP: #207135, #322250, #332761, #335955,
    LP: #336965).
  * Last upload, specifically 0091_workaround_alsa_horkage, fixes:
    LP: #235990, #237443, #279847, #317997, #323185, #330814,
    LP: #334874.
  * sudo -H change in ubuntu6 fixed LP: #312505.
  * Closing old bugs fixed in 0.9.11+: LP: #187963, #193520, #211052.
  * Refresh 0006_regen-autotools.patch.
  * Add 0043_load_sample_dir_lazy.patch to cache
    /usr/share/sounds/ubuntu/stereo/* in default.pa.
  * debian/:
    - control: Build against libcap2-dev (LP: #339448);
    - copyright: Update copyright from Debian's 0.9.14-2;
    - rules: Add DEB_OPT_FLAG = -O3 as per recommendation from
      pulseaudio-discuss/2007-December/001017.html.
  * Refresh fixes from git HEAD:
    - 0038_handle_errno_properly.patch,
    - 0091_workaround_alsa_horkage.patch,
    - 0092_fix_null_pointer_access.patch.

  [ Luke Yelavich ]
  * Add a special case to prevent Pulseaudio from being started when the
    blindness accessibility profile has been enabled from the Ubuntu live CD,
    and for an accessibility install. Unfortunately Pulseaudio and speech do
    not currently work very well with each other, and its too late in
    the cycle to solve this problem any other way.

 -- Luke Yelavich <email address hidden> Tue, 10 Mar 2009 09:00:40 +1100

Changed in pulseaudio:
status: Fix Committed → Fix Released

This problem still exits with Ubuntu 9.04!

l00l (loooo00o00ooool) wrote :

> This problem still exits with Ubuntu 9.04!

I also see that for Ubuntu 9.04.

Details: Athlon 64 4200 dual core, resample-method = src-linear, kernel = 2.6.28-11-generic

PulseAudio takes ~20% CPU when playing audio through amarok, and about 5-7% CPU when no audio is playing, which seems excessive. It has almost as much accumulated CPU usage as X.org :) (currently 68 minutes for PulseAudio, 82 minutes for Xorg).

l00l (loooo00o00ooool) wrote :

Oh, I should have mentioned: my pulseaudio version is:

pulseaudio 1:0.9.14-0ubuntu20
pulseaudio-esound-compat 1:0.9.14-0ubuntu20
pulseaudio-module-hal 1:0.9.14-0ubuntu20
pulseaudio-module-x11 1:0.9.14-0ubuntu20
pulseaudio-utils 1:0.9.14-0ubuntu20

Chrescht (sekateur) wrote :

Calling with ekiga 3.2.0 in Ubuntu 9.04 uses about 70% cpu and I can turn off the heating in winter..!

Changing pulseaudio for esound "resloved" the problem nicely.

processor: 1.8Ghz (Pentium M)
version of pulseaudio: latest to this date, i..e 13.05.09
kernel: 2.6.28-11-generic

Sabin Iacob (iacobs) wrote :

EEEpc 1000, Intel Atom 1.6GHz, Ubuntu Jaunty

root@shire:~# apt-cache policy pulseaudio
pulseaudio:
  Installed: 1:0.9.14-0ubuntu20.1
  Candidate: 1:0.9.14-0ubuntu20.1
  Version table:
 *** 1:0.9.14-0ubuntu20.1 0
        500 http://ro.archive.ubuntu.com jaunty-proposed/main Packages
        100 /var/lib/dpkg/status
     1:0.9.14-0ubuntu20 0
        500 http://ro.archive.ubuntu.com jaunty/main Packages

pulseaudio uses about 70% with src-linear, had to disable CPU limits because pulse kept dying (and, as a result, any app playing sound at that moment jumping to 200% CPU usage)

started happening a few days ago, I think

Hmm... just now, upon resuming from hibernation, pulseaudio was using 16% of CPU doing nothing.

However once I killed the pulseaudio process (and it respawned) it is no longer doing this. I have version 1:0.9.14-0ubuntu20

Nikky (nick83ola) wrote :

Same problem here... with flash or gnash and youtube video CPU goo to 70% and the video is slow (the sound stopped)

same problem wit rythmbox and exaile

Package: pulseaudio
Priority: optional
Section: sound
Installed-Size: 1780
Maintainer: Ubuntu Core Developers <email address hidden>
Original-Maintainer: Pulseaudio maintenance team <email address hidden>
Architecture: i386
Version: 1:0.9.14-0ubuntu20
Depends: libasound2 (>> 1.0.18), libbluetooth3 (>= 4.9), libc6 (>= 2.7), libcap2 (>= 2.11), libdbus-1-3 (>= 1.0.2), libflac8, libgdbm3, libltdl7 (>= 2.2.6a), libogg0 (>= 1.0rc3), liboil0.3 (>= 0.3.1), libpolkit-dbus2 (>= 0.7), libpolkit2 (>= 0.7), libpulsecore9, libsamplerate0, libsndfile1, libspeexdsp1 (>= 1.2~beta3.2-1), libwrap0 (>= 7.6-4~), adduser, lsb-base (>= 3), consolekit, libasound2-plugins
Recommends: pulseaudio-module-hal, pulseaudio-module-x11, gstreamer0.10-pulseaudio, pulseaudio-esound-compat
Suggests: pulseaudio-utils, pavumeter, paman, paprefs
Conflicts: libltdl3 (<< 1.5.24-1)
Filename: pool/main/p/pulseaudio/pulseaudio_0.9.14-0ubuntu20_i386.deb
Size: 412632
MD5sum: 3e103d2204288c674a3c22c807963f27
SHA1: b828ac6c69c6efe1c69e81ffca407836e0c4b213
SHA256: 070f99b671da2b4690c16ac6f8c22d9c9dc1c3a0c85e9c92478d083ef8bdfd15

Changed in pulseaudio (Ubuntu):
status: Fix Released → Confirmed
Nikky (nick83ola) wrote :

Ops no I cannot reproduce this bug, It's random.
now I have pulseaudio that use 0.7%....

Changed in pulseaudio (Ubuntu):
status: Confirmed → Fix Released
Henrik Heino (henu) wrote :

I got this problem too.

Pulseaudio hasn't give any advantages for me. The only difference I can see is that now there is completely useless process at the background that takes 10% of my CPU time even when I try to disable it everywhere.

Pulseaudio, KDE4, etc.. When will it end? When Ubuntu stops using alpha state software that is full of bugs and complete unusable?

Daniel T Chen (crimsun) wrote :

On Sun, Oct 11, 2009 at 10:09 AM, Henrik Heino <email address hidden> wrote:
> Pulseaudio, KDE4, etc.. When will it end? When Ubuntu stops using alpha
> state software that is full of bugs and complete unusable?

You're free not to use PulseAudio if it bothers you, but please don't
pollute bug reports with this sort of drivel.

Andraz (andraz-tori) wrote :

Using skype, pulseaudio goes to 15-18% . Why o why?

Machine: Intel(R) Core(TM)2 Duo CPU L7100 @ 1.20GHz
Ubuntu: Karmic Koala

What is pulseaudio doing?

Skype needs the same CPU time for encoding _and_ decoding the sound while pulseaudio should just be passing it through to the sound card. This makes no sense.

Daniel T Chen (crimsun) wrote :

Skype requests low latency, and PulseAudio is happy to grant it. For
some historical perspective, see
https://tango.0pointer.de/pipermail/pulseaudio-discuss/2009-February/003150.html

Tampoffel (tampoffel) on 2009-12-19
Changed in pulseaudio (Ubuntu):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
richard (richard-e-morton) wrote :

On Ubuntu910 and this affects me on a SP13000 via miniitx board. consumes 20+%

"Changed in pulseaudio (Ubuntu):
status: Fix Committed → Fix Released"

Tampoffel,

Could you please tell where the fix released? What kind of distribution (8.04 ... 9.10?) and repository (updates, propose, ppa?) ?

Stas

And can I see the changes (I mean the differences between previous one and new one code with a fix applied)?

Heitzso (heitzso) wrote :

Minor confirmation ... on a 4 core AMD system pulseaudio was consuming all of one of my cores. I kill'ed it and restarted it and now it's fine (playing songbird web radio music). I don't know what triggered by the CPU thrash state, but once started it does not let up. (karmic last updated yesterday, Jan 8th)

smchris (smchris) wrote :

Let's see -- first thread post two years ago? Looks like this will be a problem for the new user that hangs around like death and taxes. Got here because not only does my sound stutter but the stutters crash the display of Audacious2 on 32-bit 9.10 (sound continues haltingly but Audacious2 is frozen). Called up Top and I got a peak saying pulseaudio was using 106% of CPU. I was impressed. Less stuttering with command-line mplayer but I just got one. Older AMD dual-core with 4 gig and a generic nvidia 9600.

Daniel T Chen (crimsun) wrote :

On Sat, Mar 27, 2010 at 6:54 AM, smchris wrote:
> Let's see -- first thread post two years ago?  Looks like this will be a
> problem for the new user that hangs around like death and taxes.  Got
> here because not only does my sound stutter but the stutters crash the
> display of Audacious2 on 32-bit 9.10 (sound continues haltingly but
> Audacious2 is frozen).  Called up Top and I got a peak saying pulseaudio
> was using 106% of CPU.  I was impressed.   Less stuttering with command-
> line mplayer but I just got one.  Older AMD dual-core with 4 gig and a
> generic nvidia 9600.

File a new bug against alsa-driver. Make sure you can reproduce this
symptom using a current (daily) live cd of Lucid.

Clemens Eisserer (linuxhippy) wrote :

Still the same - watching a movie using gmplayer top reports pulseaudio uses as much cpu cycles just for some sound processing than mplayer uses to decode & display the whole video.

It bothers me because when I kill pulseaudio, and watch the movie without sound, my laptop consumes 2W less power, which means about 10-15min more battery time.

Shock (mmiron) wrote :

This is still happening for me on Maverick: pulseaudio is consistently the top cpu consuming process. X is not even on the radar.

I find this situation troubling given that the machine is an Intel Core2Duo E6600 at 2.4 GHz. I did set all the cores to performance governor.

Is this bug still getting attention? Should I open a new bug?

Please let me know how I can help get this resolved. If pulseaudio is not capable of consuming less CPU than, say, X, I would also be happy having an option in System Settings telling the system not to use pulseaudio at all.

Shock (mmiron) wrote :

Would someone please change the bug status from "Fix Released" -- this is not fixed yet, IMO.
I am aware that 3 years have passed since the original bug report, so if this is not going to get fixed please set the status to "Won't fix" so we won't spend more time on it.

Daniel T Chen (crimsun) wrote :

This doesn't sound like a pulse issue but a driver issue. Please file
a new bug using "ubuntu-bug alsa-base", thanks.

On Thu, Apr 21, 2011 at 12:36 PM, Shock <email address hidden> wrote:
> This is still happening for me on Maverick: pulseaudio is consistently
> the top cpu consuming process. X is not even on the radar.
>
> I find this situation troubling given that the machine is an Intel
> Core2Duo E6600 at 2.4 GHz. I did set all the cores to performance
> governor.
>
> Is this bug still getting attention? Should I open a new bug?

tlindvall (tarmo-lindvall) wrote :

Same problem here with maverick and hp2133. Using recording application like gnome-sound-recorder or skype pulseaudio process eats all available cpu time (cpu usage 100%) and the sound is stuttering. tsched=0 helps a bit (pulseaudio not taking all available cpu), but pulseaudio eats still 30% of cpu time. Aplay and arecord works fine.

Austin Macdade (austinian) wrote :

This is happening for me on Precise. Still not fixed. I get stuttering sound and a slow system until I kill pulseaudio and let it restart.

vasilisc (vasilisc) wrote :

This is happening for me on Trusty.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers